You are not logged in.

#1 2023-05-12 17:54:31

guissmo
Member
Registered: 2020-07-08
Posts: 8

gcc12: /usr/lib/gcc/x86_64-pc-linux-gnu/lib/libgcc_s.so.1

I did a

pacman -Syu

and I keep getting

error: failed to commit transaction (conflicting files)
gcc12: /usr/lib/gcc/x86_64-pc-linux-gnu/lib/libgcc_s.so exists in filesystem (owned by gcc10-libs)
gcc12: /usr/lib/gcc/x86_64-pc-linux-gnu/lib/libgcc_s.so.1 exists in filesystem (owned by gcc10-libs)

I checked who owns which files and I find:

pacman -Qo /usr/lib/gcc/x86_64-pc-linux-gnu/lib/libgcc_s.so
/usr/lib/gcc/x86_64-pc-linux-gnu/lib/libgcc_s.so is owned by gcc10-libs 1:10.3.0-2
pacman -Qo /usr/lib/gcc/x86_64-pc-linux-gnu/lib/libgcc_s.so.1
/usr/lib/gcc/x86_64-pc-linux-gnu/lib/libgcc_s.so.1 is owned by gcc10-libs 1:10.3.0-2

The first file is 132 bytes and the second 582 kilobytes.

Can anyone help me find out what is happening?
And how could I proceed with the installation?

pacman -Ss gcc | grep 'installed'
core/gcc 13.1.1-1 [installed: 12.2.1-2]
core/gcc-libs 13.1.1-1 [installed: 12.2.1-2]
core/lib32-gcc-libs 13.1.1-1 [installed: 12.2.1-2]

Offline

#2 2023-05-12 18:13:59

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 29,621
Website

Re: gcc12: /usr/lib/gcc/x86_64-pc-linux-gnu/lib/libgcc_s.so.1

I'd guess you have cuda installed which now depends on gcc12.  But you also have gcc10 from the AUR.  You need to decide which is more important to you, and / or file a bug with the gcc10 aur packager.


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Offline

#3 2023-05-18 10:12:36

guissmo
Member
Registered: 2020-07-08
Posts: 8

Re: gcc12: /usr/lib/gcc/x86_64-pc-linux-gnu/lib/libgcc_s.so.1

Trilby wrote:

I'd guess you have cuda installed which now depends on gcc12.  But you also have gcc10 from the AUR.  You need to decide which is more important to you, and / or file a bug with the gcc10 aur packager.

I installed gcc10 using yay and it works.

Thank you for the tip about Cuda now depending on gcc12. I don't know how you managed to figure that out!

Offline

#4 2023-05-18 12:20:02

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 29,621
Website

Re: gcc12: /usr/lib/gcc/x86_64-pc-linux-gnu/lib/libgcc_s.so.1

guissmo wrote:

Thank you for the tip about Cuda now depending on gcc12. I don't know how you managed to figure that out!

It's the only package in the repos that depends on gcc12 (other than gcc-fortran)

$ expac -S %N gcc12
cuda  gcc12-fortran
guissmo wrote:

I installed gcc10 using yay and it works.

Odd.  Do you have a reason to stick with gcc10?  There could be reasons to do so, but I imagine if you had one you would have already known the cause for this issue before you posted this thread.  If gcc10 was only installed as a dependency of cuda, ditch it as cuda now needs gcc12 which is in the main repos.


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Offline

Board footer

Powered by FluxBB